# localhome

## Description / Use cases
Sometimes a local home directory makes more sense than the home on a network share.

For example, with:
* Laptops with Wi-Fi connectivity
* Laptops that are also used outside the school network (e.g., teacher devices)
* Devices assigned to a specific user who synchronizes data using a sync client

## Requirements
Nothing

## Activation / Default
To enable the local home directory, set the variable `localhome` to `true` (default: false).

## Example

* Hosts in group `laptops` will get the localhome.
* All computers in the desktop group, except the PC with IP address 10.0.2.33, will have their home directory on the network (default).\
  The PC with IP address 10.0.2.33 also has a local home directory.
* Hosts in group `desktop` will have home on net (default)

inventory.yml
```
laptops:
  hosts:
    10.0.1.[1-64]:
  vars:
    localhome: true
desktops:
  hosts:
    10.0.2.[1-32]:
    10.0.2.33:
      localhome: true
    10.0.2.[34-64]:
```
